I2O_BLOCK_REQUEST_FN(9)

NAME
i2o_block_request_fn - request queue handling function

SYNOPSIS

void i2o_block_request_fn(struct request_queue * q);

ARGUMENTS

q
    request queue from which the request could be fetched

DESCRIPTION

Takes the next request from the queue, transfers it and if no error occurs dequeue it from the queue. On arrival of the reply the message will be processed further. If an error occurs requeue the request.

COPYRIGHT